#!/bin/bash

rm -rf deb_v2200-pled
mkdir -p deb_v2200-pled/v2200-pled-1.0.0/
cd deb_v2200-pled/v2200-pled-1.0.0/

dh_make -n << EOF
s
EOF

cd debian

# control file
cat > control << EOF
Source: v2200-pled
Section: unknown
Priority: extra
Maintainer: Harry YJ Jhou <HarryYJ.Jhou@moxa.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://www.moxa.com/

Package: v2200-pled
Architecture: amd64
Depends: v2200-superio
Pre-Depends: v2200-superio
Description: programmable led driver for V2201
EOF


cat > postinst << EOF
#!/bin/sh

set -e

case "\$1" in
    configure)
        depmod -a
        modprobe moxa-pled
        echo moxa-pled >> /etc/modules
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \\\`\$1'" >&2
        exit 1
    ;;
esac
exit 0
EOF

cat > postrm << EOF
#!/bin/sh

set -e

case "\$1" in
    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
        rmmod moxa-pled 2> /dev/null || true
        sed -i '/moxa-pled/d' /etc/modules
    ;;

    *)
        echo "postrm called with unknown argument \\\`\$1'" >&2
        exit 1
    ;;
esac
exit 0
EOF




cd ..

cat > Makefile << EOF
PWD     := $(pwd)
KDIR    :=/usr/src/linux-headers-3.16.0-0.bpo.4-amd64
KMODDIR ?= updates

# enable the drivers
obj-y   := drivers/

all: install

install:
	mkdir -p $(pwd)/debian/v2200-pled/lib/modules/3.16.0-4-amd64/updates/drivers/moxa_v2200_pled/
	install /home/moxa/x86_v2/modules/moxa_v2200_pled/moxa-pled.ko $(pwd)/debian/v2200-pled/lib/modules/3.16.0-4-amd64/updates/drivers/moxa_v2200_pled/
EOF

dpkg-buildpackage -us -uc -aamd64


